> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Set Member Image

PUT https://api.npretail.app/{tenant}/{environment}/{company}/membership/member/{memberId}/image
Content-Type: application/json

Create or update the image associated with a member. Use this endpoint to upload a new photo or update an existing one linked to the member’s profile.

Reference: https://docs.navipartner.com/apis/api-reference/memberships/service-member/set-member-image

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)
- `memberId` (UUID, required) — Unique identifier for a member.

### Body (application/json)

This endpoint expects a SetMemberImageRequest.

- `image` (string, required) — A Base64-encoded image string

## Response

### 200

- `mediaId` (UUID, required) — Unique identifier for the media.

## Examples

**Request**

```json
{
  "image": "SGVsbG8gV29ybGQ="
}
```

**Response**

```json
{
  "mediaId": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
}
```

**SDK Code**

```python Example Set Member Image
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/image"

payload = { "image": "SGVsbG8gV29ybGQ=" }
headers = {
    "x-np-api-key": "<NaviPartner API Key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Example Set Member Image
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/image';
const options = {
  method: 'PUT',
  headers: {'x-np-api-key': '<NaviPartner API Key>', 'Content-Type': 'application/json'},
  body: '{"image":"SGVsbG8gV29ybGQ="}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example Set Member Image
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/image"

	payload := strings.NewReader("{\n  \"image\": \"SGVsbG8gV29ybGQ=\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example Set Member Image
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/image")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"image\": \"SGVsbG8gV29ybGQ=\"\n}"

response = http.request(request)
puts response.read_body
```

```java Example Set Member Image
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/image")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .header("Content-Type", "application/json")
  .body("{\n  \"image\": \"SGVsbG8gV29ybGQ=\"\n}")
  .asString();
```

```php Example Set Member Image
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/image', [
  'body' => '{
  "image": "SGVsbG8gV29ybGQ="
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp Example Set Member Image
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/image");
var request = new RestRequest(Method.PUT);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"image\": \"SGVsbG8gV29ybGQ=\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example Set Member Image
import Foundation

let headers = [
  "x-np-api-key": "<NaviPartner API Key>",
  "Content-Type": "application/json"
]
let parameters = ["image": "SGVsbG8gV29ybGQ="] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/member/12345678-abcd-1234-5678-1234567890ab/image")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```